Bug 17397 - Oops during heavy system usage (truncate_inode_pages?)
Oops during heavy system usage (truncate_inode_pages?)
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-09-10 13:58 EDT by Need Real Name
Modified: 2008-08-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:38:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-09-10 13:58:55 EDT
I've attached the output from ksymoops from a hang/crash that I have very
often on my system. The hang seems to occur only during heavy disk
activity. Usually, all disk I/O activites on the system are halted, but
CPU-only processes can continue.

I have not been able to reproduce this on a different machine, so I'm
pretty sure it is something with my hardware configuration that's tickling
this behavior. It's a fairly standard setup: Dell Dimension XPS R400 (P2 @
400); 384MB PC100 RAM; 18.0GB Maxtor ATA-33 drive w/ 8.0GB WD ATA-33 drive
(IDE-0); Memorex CD-322E w/ Seagate STT20000A (IDE-1). All hardware
diagnostics pass with flying colors. I've run other operating systems on
the box in the same hardware configuration without any issues.

Yesterday I did a full install of RedHat 6.2 from scratch to make sure
nothing was corrupted. The hang immediately repeated while I was loading
some data files from tape. Later the hang occured while cleaning up a few
source directories.

I've seen the same behavior with both the 2.2.14 and 2.2.16 kernels.

The one thing that has been consistent on my machine is a "large" number of
file systems: / /boot /var /usr /usr/src /usr/local /tmp /home and /data.

Every kernel oops the system has generated has mentioned
truncate_inode_tables.

ksymoops generated a several warning messages, but I'm not entirely sure
why.

WARNING: This version of ksymoops is obsolete.
WARNING: The current version can be obtained from
ftp://ftp.ocs.com.au/pub/ksymoops
Options used: -V (specified)
              -o /lib/modules/2.2.16-3/ (specified)
              -k /proc/ksyms (specified)
              -l /proc/modules (specified)
              -m /boot/System.map-2.2.16-3 (specified)
              -c 1 (specified)

Sep 10 11:33:45 schmoe kernel: Unable to handle kernel NULL pointer
dereference at virtual address 00000120 
Sep 10 11:33:45 schmoe kernel: current->tss.cr3 = 08694000, %cr3 = 08694000 
Sep 10 11:33:45 schmoe kernel: *pde = 00000000 
Sep 10 11:33:45 schmoe kernel: Oops: 0002 
Sep 10 11:33:45 schmoe kernel: CPU:    0 
Sep 10 11:33:45 schmoe kernel: EIP:    0010:[truncate_inode_pages+124/316] 
Sep 10 11:33:45 schmoe kernel: EFLAGS: 00010206 
Sep 10 11:33:45 schmoe kernel: eax: 00000000   ebx: c1ccd8e8   ecx:
c04b5c00   edx: d7f33644 
Sep 10 11:33:45 schmoe kernel: esi: c1ccd870   edi: 00000100   ebp:
00000000   esp: c37e7eec 
Sep 10 11:33:45 schmoe kernel: ds: 0018   es: 0018   ss: 0018 
Sep 10 11:33:45 schmoe kernel: Process rm (pid: 11963, process nr: 69,
stackpage=c37e7000) 
Sep 10 11:33:45 schmoe kernel: Stack: 000b43ed 000003ec c1ccd8e8 c1ccd940
c1ccd8e8 c0132487 c1ccd870 00000000  
Sep 10 11:33:45 schmoe kernel:        c1ccd870 c013e1e5 c1ccd870 c1ccd870
c1ccd870 00000000 d58b0340 c1ccd870  
Sep 10 11:33:45 schmoe kernel:        0000002d d0ee0400 00000000 cb4ff5a0
c013eb53 c013eb72 c1ccd870 c021bde0  
Sep 10 11:33:45 schmoe kernel: Call Trace: [clear_inode+19/112]
[ext2_free_inode+293/640] [ext2_delete_inode+87/124]
[ext2_delete_inode+118/124] [iput+131/508] [d_delete+74/104]
[ext2_unlink+383/416]  
Sep 10 11:33:45 schmoe kernel: Code: 89 57 20 8b 51 20 8b 79 10 89 3a c7 41
20 00 00 00 00 ff 0d  

Code:  00000000 Before first symbol            00000000 <_IP>: <===
Code:  00000000 Before first symbol               0:	89 57 20             	
mov    %edx,0x20(%edi) <===
Code:  00000003 Before first symbol               3:	8b 51 20             	
mov    0x20(%ecx),%edx
Code:  00000006 Before first symbol               6:	8b 79 10             	
mov    0x10(%ecx),%edi
Code:  00000009 Before first symbol               9:	89 3a                	
mov    %edi,(%edx)
Code:  0000000b Before first symbol               b:	c7 41 20 00 00 00 00 	
movl   $0x0,0x20(%ecx)
Code:  00000012 Before first symbol              12:	ff 0d 00 00 00 00    	
decl   0x0


43 warnings issued.  Results may not be reliable.
Comment 1 Bugzilla owner 2004-09-30 11:38:49 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.